> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# links a PDF to an accounts receivable installment via url or binary file



## OpenAPI

````yaml https://integration.teceo.co/aos put /v1/accounts-receivable/{installmentId}/attachments/pdf
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/accounts-receivable/{installmentId}/attachments/pdf:
    put:
      tags:
        - 'Accounts Receivable:'
      summary: links a PDF to an accounts receivable installment via url or binary file
      operationId: AccountsReceivableController_putPdf_v1
      parameters:
        - name: installmentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              description: >-
                maximum file size is 10 MiB: above that the request is rejected
                with 400 attachmentTooLarge, and above 20 MiB with 413
              properties:
                url:
                  type: string
                  nullable: true
                  description: >-
                    attachment url, omit when sending a file. maximum size is 10
                    MiB: above that the request is rejected with 400
                    attachmentTooLarge
                  example: https://example.com/attachment
                file:
                  type: string
                  format: binary
                  description: >-
                    binary file, omit when sending a url. maximum size is 10
                    MiB: above that the request is rejected with 400
                    attachmentTooLarge, and above 20 MiB with 413
      responses:
        '200':
          description: >-
            links a PDF to an accounts receivable installment via url or binary
            file
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponseDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    MessageResponseDTO:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
      required:
        - message
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.